# splitmuxsrc

This element reads a set of input files created by the splitmuxsink element containing contiguous elementary streams split across multiple files.

This element is similar to splitfilesrc, except that it recombines the streams in each file part at the demuxed elementary level, rather than as a single larger bytestream.

## Example pipelines

     gst-launch-1.0 splitmuxsrc location=video*.mov ! decodebin ! xvimagesink

Demux each file part and output the video stream as one continuous stream

     gst-launch-1.0 playbin uri="splitmux://path/to/foo.mp4.*"

Play back a set of files created by splitmuxsink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──splitmuxsrc

## Implemented interfaces

    GstChildProxy
    GstURIHandler

## Factory details

Authors: – Jan Schmidt <jan></jan>

Classification: – `Generic/Bin/Demuxer`

Rank – none

Plugin – multifile

Package – GStreamer Good Plug-ins

## Pad Templates

### `audio_%u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

### `subtitle_%u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

### `video`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

### `video_%u`

    ANY

Presence – sometimes

Direction – src

Object type – GstPad

## Signals

### format-location

    GStrv *
    format_location_callback (GstElement * splitmux,
                              gpointer udata)

    def format_location_callback (splitmux, udata):
        #python callback for the 'format-location' signal

    function format_location_callback(splitmux: GstElement * splitmux, udata: gpointer udata): {
        // javascript callback for the 'format-location' signal
    }

Parameters:

`splitmux` –

the splitmuxsrc

`udata` –
No description available
Returns (GStrv *) –

A NULL-terminated sorted array of strings containing the filenames of the input files. The array will be freed internally using g_strfreev

Flags: Run Last

Since : 1.8

## Properties

### location

    “location” gchararray

Glob pattern for the location of the files to read

Flags : Read / Write

Default value : NULL

The results of the search are